
package org.apache.ws.resource.example.filesystem;

import org.apache.ws.resource.NamespaceVersionHolder;
import org.apache.ws.resource.faults.AbstractBaseFaultException;

import javax.xml.namespace.QName;

/**
 * **** WARNING: This file will be overwritten during generation ****
 */
public class MountDeviceBusyFaultException
        extends AbstractBaseFaultException
{

    private QName m_name;

    /**
     * Constructs a new MountDeviceBusyFaultException .
     *
     * @param namespaces
     * @param faultString 
     */
    public MountDeviceBusyFaultException( NamespaceVersionHolder namespaces, String faultString )
    {
        super( namespaces, faultString );
        m_name = new QName( "http://ws.apache.org/resource/example/filesystem", "MountDeviceBusyFaultException");        
    }
    
    /**
     * Returns the element name for this base fault.
     *
     * @return the element name for this base fault
     */
    public QName getBaseFaultName()
    {
        return m_name;
    }

}
