/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.pubsub;


/**
 *
 * @author  Stefan Lischke
 */
public class NotificationProducerFactory
{
   /** DOCUMENT_ME */
   public static NotificationProducerFactory s_ourInstance = new NotificationProducerFactory(  );

   /** Creates a new instance of NotificationProducerFactory */
   public NotificationProducerFactory(  )
   {
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public static NotificationProducerFactory getInstance(  )
   {
      return s_ourInstance;
   }

   /**
    * DOCUMENT_ME
    *
    * @param url DOCUMENT_ME
    * @param configfile DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public NotificationProducer createNotificationProducer( String url,
                                                           String configfile )
   {
      //choose between wse/wsn
      return new org.apache.ws.notification.pubsub.Subscriber( url, configfile );

      //        return new org.apache.ws.eventing.pubsub.Subscriber(url,configfile);
   }
}