/**
 *
 * @author  Stefan Lischke
 */
import org.apache.ws.notification.topics.*;
import org.apache.ws.notification.topics.impl.*;

import org.apache.ws.eventing.EventSourceResource;
public class BrokerResource implements EventSourceResource{    
    private static BrokerResource s_ourInstance= new BrokerResource();
    private TopicSet m_topicSet;
    //private TopicSpace m_topicNs;
    
    /** Creates a new instance of BrokerResource */
    public BrokerResource() {
        m_topicSet = new TopicSetImpl();
        //m_topicSet.addTopicSpace(org.apache.ws.notification.topics.util.TopicSpaceParser.parse(Thread.currentThread().getContextClassLoader().getResourceAsStream("topicspace.xml")));
    }
    
    public static BrokerResource getInstance(){
        return s_ourInstance;
    }
    
    public TopicSet getTopicSpaceSet() {
        return m_topicSet;
    }
    
    public void destroy() {
    }
    
    public Object getID() {
        return "1";
    }
    
    public void init() {
    }
    
    public void setID(Object id) {
    }
    
    public void addTerminationListener(org.apache.ws.resource.lifetime.ResourceTerminationListener termListener){
        
    }
}
