/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.pubsub;

import org.apache.ws.addressing.EndpointReference;

/**
 * DOCUMENT_ME
 *
 * @version $Revision: 1.8 $
 * @author $author$
 */
public interface NotificationConsumer
{
   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   EndpointReference getEPR(  );

   /**
    * DOCUMENT_ME
    *
    * @param subscription DOCUMENT_ME
    * @param message DOCUMENT_ME
    */
   void notify( Subscription subscription,
                Object       message );
}